de.esprit.appsuite.database.dbase.cred

## Class CredentialDerbyEmb

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.database.dbase.Credential
      - - de.esprit.appsuite.database.dbase.cred.CredentialDerby
        - - de.esprit.appsuite.database.dbase.cred.CredentialDerbyEmb

- All Implemented Interfaces:
    Clearable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class CredentialDerbyEmb
      extends CredentialDerby

  This is a sample credential for running a Derby database system in embedded mode.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.database.dbase.Credential

      `connUrl, connUrlKey, credentialDocType, dbPassword, dbPasswordKey, dbSchema, dbSchemaKey, dbUser, dbUserKey, DEFAULT_DATABASE_PATH, DERBY_SYSTEM_HOME, jdbcDriver, jdbcDriverKey, loginTimeout, loginTimeoutKey, maxConns, maxConnsKey, minConns, minConnsKey, systemPropsType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialDerbyEmb()`
    `CredentialDerbyEmb(java.lang.String dbName)`
    `CredentialDerbyEmb(java.lang.String dbName, boolean doCreate)`

  - ### Method Summary

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.cred.CredentialDerby

      `encodeUrl`

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.Credential

      `clear, getConnectionUrl, getCredFile, getDatabaseName, getDefaultSystemProperties, getDefaultSystemProperty, getJdbcDriver, getLoginTimeout, getMaxConns, getMinConns, getPassword, getSchema, getUser, initDefaultSystemProperties, isValid, putDefaultSystemProperty, read, readCommandLineParams, setConnectionUrl, setCredFile, setJdbcDriver, setLoginTimeout, setMaxConns, setMinConns, setPassword, setSchema, setUser, setValues, toDumpString, toString, validate, write`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialDerbyEmb

          public CredentialDerbyEmb()

    - #### CredentialDerbyEmb

          public CredentialDerbyEmb(java.lang.String dbName)

    - #### CredentialDerbyEmb

          public CredentialDerbyEmb(java.lang.String dbName,
                            boolean doCreate)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.